Name: pyside-tools
Version: 0.2.13
Release: alt0.M60T.1
Summary: Tools for python bindings for the Qt cross-platform application
License: GPLv2 & BSD
Group: Development/Tools
Url: http://www.pyside.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: python-devel gcc-c++ cmake libqt4-devel
BuildPreReq: libshiboken-devel shiboken libpyside-qt4-devel

%description
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework, as well as a complete
toolchain for rapidly generating bindings for any Qt-based C++ class
hierarchies. PySide Qt bindings allow both free open source and
proprietary software development and ultimately aim to support all of
the platforms as Qt itself.

This package contains PySide tools.

%package -n python-module-pysideuic
Summary: Python module of PySide tools
Group: Development/Python

%description -n python-module-pysideuic
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework, as well as a complete
toolchain for rapidly generating bindings for any Qt-based C++ class
hierarchies. PySide Qt bindings allow both free open source and
proprietary software development and ultimately aim to support all of
the platforms as Qt itself.

This package contains python module of PySide tools.

%prep
%setup

%build
FLAGS="%optflags"
cmake \
	-DCMAKE_INSTALL_PREFIX:PATH=%prefix \
	-DBUILD_TESTS:BOOL=OFF \
	-DCMAKE_STRIP:FILEPATH="/bin/echo" \
	-DCMAKE_C_FLAGS:STRING="$FLAGS" \
	-DCMAKE_CXX_FLAGS:STRING="$FLAGS" \
	.
%make_build VERBOSE=1

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog LICENSE*
%_bindir/*
%_man1dir/*

%files -n python-module-pysideuic
%python_sitelibdir/*

%changelog
* Mon Dec 26 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.13-alt0.M60T.1
- Built for t6/branch

* Mon Dec 19 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.2.13-alt1
- Initial build for Sisyphus

